%define svnrev 671

%define _optlevel 3
%def_enable gui
%def_with utils
%def_with xyuv
%def_enable visualize
%def_disable mp4
%def_enable shared
%def_enable static
%def_enable pthread
%def_disable debug
%def_disable prof
%def_enable pic
#----------------------------------------------------------------------
%define subst_enable_to() %{expand:%%{?_enable_%{1}:--enable-%{2}}} %{expand:%%{?_disable_%{1}:--disable-%{2}}}

Name: x264
%define lname lib%name
Version: 0.56
%define rel 1
%ifdef svnrev
Release: alt0.%svnrev.%rel
Source0: %name-svn-r%svnrev.tar.bz2
%else
Release: alt%rel
Source0: %name-%version.tar.bz2
%endif
Source1: %{name}_gtk.uk.po.bz2
Patch0: %name-svn-r669-build.patch
Patch1: %name-svn-r671-yasm.patch
Summary: CLI H.264 encoder
Summary(uk_UA.CP1251): CLI H.264 
Summary(ru_RU.CP1251): CLI H.264 
URL: http://www.videolan.org/%name.html
# svn checkout svn://svn.videolan.org/x264/trunk x264
License: GPL2
Group: Video

BuildRequires: yasm
%{?_with_xyuv:BuildRequires: libSDL-devel}
%if_enabled gui
BuildRequires: fontconfig libgtk+2-devel libX11-devel ImageMagick
%else
%{?_enable_visualize:BuildRequires: libX11-devel}
%endif


%description
%name is a free library for encoding H264/AVC video streams. The code is
written from scratch.
Encoder features:
- CAVLC/CABAC
- Multi-references
- Intra: all macroblock types (16x16, 8x8, and 4x4 with all
  predictions)
- Inter P: all partitions (from 16x16 down to 4x4)
- Inter B: partitions from 16x16 down to 8x8 (including skip/direct)
- Ratecontrol: constant quantizer, single or multipass ABR, optional
  VBV
- Scene cut detection
- Adaptive B-frame placement
- B-frames as references / arbitrary frame order
- 8x8 and 4x4 adaptive spatial transform
- Lossless mode
- Custom quantization matrices
- Parallel encoding of multiple slices.

This package includes CLI based H.264 encoder.

%description -l uk_UA.CP1251
%name -      H264/AVC. 
   .
 :
- CAVLC/CABAC.
- .
- Intra:    (16x16, 8x8  4x4  
  ).
- Inter P:   ( 16x16  4x4).
- Inter B:   16x16  8x8 ( skip/direct).
- Ratecontrol:  , -   ABR,
   VBV.
-   .
-   B-.
- B-    /   .
- 8x8  4x4   .
-  .
-   .
-    .

   CLI H.264 .

%description -l ru_RU.CP1251
%name -      H264/AVC. 
   .
 :
- CAVLC/CABAC.
- .
- Intra:    (16x16, 8x8  4x4  
  ).
- Inter P:   ( 16x16  4x4).
- Inter B:   16x16  8x8 ( skip/direct).
- Ratecontrol:  , -   ABR,
   VBV.
-   .
-   B-.
- B-    /   .
- 8x8  4x4   .
-   .
-   .
-    .

   CLI H.264 .


%if_enabled gui
%package gtk
Group: Video
Summary: GTK+ based H.264 encoder
Summary(uk_UA.CP1251): GTK+   H.264
Summary(ru_RU.CP1251): GTK+   H.264
Provides: %name-gui = %version-%release

%description gtk
%name is a free library for encoding H264/AVC video streams. The code is
written from scratch.
Encoder features:
- CAVLC/CABAC
- Multi-references
- Intra: all macroblock types (16x16, 8x8, and 4x4 with all
  predictions)
- Inter P: all partitions (from 16x16 down to 4x4)
- Inter B: partitions from 16x16 down to 8x8 (including skip/direct)
- Ratecontrol: constant quantizer, single or multipass ABR, optional
  VBV
- Scene cut detection
- Adaptive B-frame placement
- B-frames as references / arbitrary frame order
- 8x8 and 4x4 adaptive spatial transform
- Lossless mode
- Custom quantization matrices
- Parallel encoding of multiple slices.

This package includes GTK+ based H.264 encoder.

%description gtk -l uk_UA.CP1251
%name -      H264/AVC. 
   .
 :
- CAVLC/CABAC.
- .
- Intra:    (16x16, 8x8  4x4  
  ).
- Inter P:   ( 16x16  4x4).
- Inter B:   16x16  8x8 ( skip/direct).
- Ratecontrol:  , -   ABR,
   VBV.
-   .
-   B-.
- B-    /   .
- 8x8  4x4   .
-  .
-   .
-    .

   GTK+   H.264.

%description gtk -l ru_RU.CP1251
%name -      H264/AVC. 
   .
 :
- CAVLC/CABAC.
- .
- Intra:    (16x16, 8x8  4x4  
  ).
- Inter P:   ( 16x16  4x4).
- Inter B:   16x16  8x8 ( skip/direct).
- Ratecontrol:  , -   ABR,
   VBV.
-   .
-   B-.
- B-    /   .
- 8x8  4x4   .
-   .
-   .
-    .

   GTK+   H.264.
%endif


%if_with utils
%package utils
Group: Video
Summary: H.264 encoder utils
Summary(uk_UA.CP1251):   H.264
Summary(ru_RU.CP1251):   H.264

%description utils
%name is a free library for encoding H264/AVC video streams. The code is
written from scratch.
Encoder features:
- CAVLC/CABAC
- Multi-references
- Intra: all macroblock types (16x16, 8x8, and 4x4 with all
  predictions)
- Inter P: all partitions (from 16x16 down to 4x4)
- Inter B: partitions from 16x16 down to 8x8 (including skip/direct)
- Ratecontrol: constant quantizer, single or multipass ABR, optional
  VBV
- Scene cut detection
- Adaptive B-frame placement
- B-frames as references / arbitrary frame order
- 8x8 and 4x4 adaptive spatial transform
- Lossless mode
- Custom quantization matrices
- Parallel encoding of multiple slices.

This package includes %name encoder utils.

%description utils -l uk_UA.CP1251
%name -      H264/AVC. 
   .
 :
- CAVLC/CABAC.
- .
- Intra:    (16x16, 8x8  4x4  
  ).
- Inter P:   ( 16x16  4x4).
- Inter B:   16x16  8x8 ( skip/direct).
- Ratecontrol:  , -   ABR,
   VBV.
-   .
-   B-.
- B-    /   .
- 8x8  4x4   .
-  .
-   .
-    .

     %name.

%description utils -l ru_RU.CP1251
%name -      H264/AVC. 
   .
 :
- CAVLC/CABAC.
- .
- Intra:    (16x16, 8x8  4x4  
  ).
- Inter P:   ( 16x16  4x4).
- Inter B:   16x16  8x8 ( skip/direct).
- Ratecontrol:  , -   ABR,
   VBV.
-   .
-   B-.
- B-    /   .
- 8x8  4x4   .
-   .
-   .
-    .

     %name.
%endif


%if_enabled shared
%package -n %lname
Summary: H.264 codec shared library
Summary(uk_UA.CP1251):    H.264
Summary(ru_RU.CP1251):    H.264
Group: System/Libraries
Conflicts: %{lname}_54
%ifarch x86_64
Provides: %lname.so.54()(64bit) %lname.so.55()(64bit)
%else
Provides: %lname.so.54 %lname.so.55
%endif

%description -n %lname
%name is a free library for encoding H264/AVC video streams. The code is
written from scratch.
Encoder features:
- CAVLC/CABAC
- Multi-references
- Intra: all macroblock types (16x16, 8x8, and 4x4 with all
  predictions)
- Inter P: all partitions (from 16x16 down to 4x4)
- Inter B: partitions from 16x16 down to 8x8 (including skip/direct)
- Ratecontrol: constant quantizer, single or multipass ABR, optional
  VBV
- Scene cut detection
- Adaptive B-frame placement
- B-frames as references / arbitrary frame order
- 8x8 and 4x4 adaptive spatial transform
- Lossless mode
- Custom quantization matrices
- Parallel encoding of multiple slices.

This package includes the shared library needed to run %lname-based
software.

%description -n %lname -l uk_UA.CP1251
%name -      H264/AVC. 
   .
 :
- CAVLC/CABAC.
- .
- Intra:    (16x16, 8x8  4x4  
  ).
- Inter P:   ( 16x16  4x4).
- Inter B:   16x16  8x8 ( skip/direct).
- Ratecontrol:  , -   ABR,
   VBV.
-   .
-   B-.
- B-    /   .
- 8x8  4x4   .
-  .
-   .
-    .

    ,   
,   %lname.

%description -n %lname -l ru_RU.CP1251
%name -      H264/AVC. 
   .
 :
- CAVLC/CABAC.
- .
- Intra:    (16x16, 8x8  4x4  
  ).
- Inter P:   ( 16x16  4x4).
- Inter B:   16x16  8x8 ( skip/direct).
- Ratecontrol:  , -   ABR,
   VBV.
-   .
-   B-.
- B-    /   .
- 8x8  4x4   .
-   .
-   .
-    .

    ,   
,  %lname.
%endif


%package -n %lname-devel
Summary: Development files of H.264 codec library
Summary(uk_UA.CP1251):        H.264
Summary(ru_RU.CP1251):        H.264
Group: Development/C
Requires: %lname%{?_disable_shared:-devel-static} = %version-%release

%description -n %lname-devel
%name is a free library for encoding H264/AVC video streams. The code is
written from scratch.
Encoder features:
- CAVLC/CABAC
- Multi-references
- Intra: all macroblock types (16x16, 8x8, and 4x4 with all
  predictions)
- Inter P: all partitions (from 16x16 down to 4x4)
- Inter B: partitions from 16x16 down to 8x8 (including skip/direct)
- Ratecontrol: constant quantizer, single or multipass ABR, optional
  VBV
- Scene cut detection
- Adaptive B-frame placement
- B-frames as references / arbitrary frame order
- 8x8 and 4x4 adaptive spatial transform
- Lossless mode
- Custom quantization matrices
- Parallel encoding of multiple slices.

This package includes the header files needed to develop %lname-based
software.

%description -n %lname-devel -l uk_UA.CP1251
%name -      H264/AVC. 
   .
 :
- CAVLC/CABAC.
- .
- Intra:    (16x16, 8x8  4x4  
  ).
- Inter P:   ( 16x16  4x4).
- Inter B:   16x16  8x8 ( skip/direct).
- Ratecontrol:  , -   ABR,
   VBV.
-   .
-   B-.
- B-    /   .
- 8x8  4x4   .
-  .
-   .
-    .

    ,     
 %lname.

%description -n %lname-devel -l ru_RU.CP1251
%name -      H264/AVC. 
   .
 :
- CAVLC/CABAC.
- .
- Intra:    (16x16, 8x8  4x4  
  ).
- Inter P:   ( 16x16  4x4).
- Inter B:   16x16  8x8 ( skip/direct).
- Ratecontrol:  , -   ABR,
   VBV.
-   .
-   B-.
- B-    /   .
- 8x8  4x4   .
-   .
-   .
-    .

    ,   
  c %lname.


%if_enabled static
%package -n %lname-devel-static
Summary: Static H.264 codec library
Summary(uk_UA.CP1251):    H.264
Summary(ru_RU.CP1251):    H.264
Group: Development/C
Requires: %lname-devel = %version-%release

%description -n %lname-devel-static
%name is a free library for encoding H264/AVC video streams. The code is
written from scratch.
Encoder features:
- CAVLC/CABAC
- Multi-references
- Intra: all macroblock types (16x16, 8x8, and 4x4 with all
  predictions)
- Inter P: all partitions (from 16x16 down to 4x4)
- Inter B: partitions from 16x16 down to 8x8 (including skip/direct)
- Ratecontrol: constant quantizer, single or multipass ABR, optional
  VBV
- Scene cut detection
- Adaptive B-frame placement
- B-frames as references / arbitrary frame order
- 8x8 and 4x4 adaptive spatial transform
- Lossless mode
- Custom quantization matrices
- Parallel encoding of multiple slices.

This package includes the static library needed to develop
%lname-based software.

%description -n %lname-devel-static -l uk_UA.CP1251
%name -      H264/AVC. 
   .
 :
- CAVLC/CABAC.
- .
- Intra:    (16x16, 8x8  4x4  
  ).
- Inter P:   ( 16x16  4x4).
- Inter B:   16x16  8x8 ( skip/direct).
- Ratecontrol:  , -   ABR,
   VBV.
-   .
-   B-.
- B-    /   .
- 8x8  4x4   .
-  .
-   .
-    .

    ,     
 %lname.

%description -n %lname-devel-static -l ru_RU.CP1251
%name -      H264/AVC. 
   .
 :
- CAVLC/CABAC.
- .
- Intra:    (16x16, 8x8  4x4  
  ).
- Inter P:   ( 16x16  4x4).
- Inter B:   16x16  8x8 ( skip/direct).
- Ratecontrol:  , -   ABR,
   VBV.
-   .
-   B-.
- B-    /   .
- 8x8  4x4   .
-   .
-   .
-    .

    ,   
  c %lname.
%endif


%prep
%setup %{?svnrev: -n %name-svn-r%svnrev}
bzip2 -dc %SOURCE1 > gtk/uk.po
%patch0 -p1
%patch1 -p1

%build
%ifarch x86_64
subst 's/^UNAMEM=.*$/UNAMEM=x86_64/' configure
%endif
%define _optlevel 3
%configure \
    %{subst_enable debug} \
    %{subst_enable_to prof gprof} \
    %{subst_enable pthread} \
    %{subst_enable pic} \
    %{subst_enable shared} \
    %{subst_enable static} \
    %{subst_enable_to mp4 mp4-output} \
    %{subst_enable_to gui gtk} \
    %{subst_enable visualize} \
    --disable-avis-input

%make_build %{?_enable_static:%lname.a} %name
%if_enabled gui
%make_build -C gtk
convert gtk/%name.ico %name.png
%endif
%if_with utils
pushd tools
gcc %optflags -o avc2avi avc2avi.c
%{?_with_xyuv:gcc %optflags -o xyuv xyuv.c -lSDL}
popd
%endif


%install
%make_install DESTDIR=%buildroot install
%if_enabled gui
%make_install -C gtk DESTDIR=%buildroot install
ln -s %{name}_gtk_encode %buildroot%_bindir/g%name
install -pD -m0644 %name.png %buildroot%_niconsdir/%name.png
install -d -m 0755 %buildroot%_desktopdir
iconv -f cp1251 -t UTF8 > %buildroot%_desktopdir/%{name}_gtk_encode.desktop <<__MENU__
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Exec=%{name}_gtk_encode %%U
Name=%name encoder
Name[uk]=%name 
Name[ru]=%name 
GenericName=%{name}_gtk_encode
Icon=%name
Terminal=false
Type=Application
Comment=GUI for %name encoder
Comment[ua]=GUI  %name 
Comment[ru]=GUI  %name 
Categories=GTK;Application;AudioVideo;
__MENU__
%find_lang %{name}_gtk
%endif
%{?_with_utils:install -c -m 755 tools/{avc2avi,countquant_%name.pl,%name-rd.sh%{?_with_xyuv:,xyuv}} %buildroot%_bindir}
for n in 54 55; do
    ln -sf %lname.so.%version %buildroot%_libdir/%lname.so.$n
done


%if_enabled shared
%post -n %lname -p %post_ldconfig
%postun -n %lname -p %postun_ldconfig
%endif


%if_enabled gui
%post gtk
%update_menus

%postun gtk
%clean_menus
%endif


%files
%_bindir/%name


%if_enabled gui
%files gtk -f %{name}_gtk.lang
%_bindir/g%name
%_bindir/%{name}_gtk_encode
%dir %_datadir/%name
%_niconsdir/*
%_desktopdir/*
%_datadir/%name/*
%endif


%if_with utils
%files utils
%doc tools/q_matrix_jvt.cfg
%_bindir/avc2avi
%{?_with_xyuv:%_bindir/xyuv}
%_bindir/countquant_%name.pl
%_bindir/%name-rd.sh
%endif


%if_enabled shared
%files -n %lname
%doc doc/*.txt AUTHORS
%_libdir/%lname.so.*
%endif


%files -n %lname-devel
%{?_disable_shared:%doc doc/*.txt AUTHORS}
%_includedir/*
%_pkgconfigdir/*
%if_enabled shared
%_libdir/*.so
%else
%doc doc/*.txt AUTHORS
%endif


%if_enabled static
%files -n %lname-devel-static
%_libdir/*.a
%endif


%changelog
* Tue Aug 21 2007 Led <led@altlinux.ru> 0.56-alt0.671.1
- new SVN snapshot (revision 671)
- added %name-svn-r671-yasm.patch (fix #12604)
- cleaned up spec

* Fri Aug 17 2007 Led <led@altlinux.ru> 0.56-alt0.669.1
- new SVN snapshot (revision 669)
- cleaned up spec
- updated %name-svn-r669-build.patch

* Fri Aug 03 2007 Led <led@altlinux.ru> 0.56-alt0.667.3
- used yasm for x86_32

* Thu Jul 19 2007 Led <led@altlinux.ru> 0.56-alt0.667.2
- fixed %lname Provides

* Thu Jul 19 2007 Led <led@altlinux.ru> 0.56-alt0.667.1
- new SVN snapshot (revision 667)
- fixed descriptions (#12364)
- fixed License

* Fri Jul 06 2007 Led <led@altlinux.ru> 0.0-alt55.664.1
- new SVN snapshot (revision 664)
- cleaned up spec

* Mon Jun 18 2007 Led <led@altlinux.ru> 0.0-alt55.661.1
- new SVN snapshot (revision 661)

* Tue Jun 12 2007 Led <led@altlinux.ru> 0.0-alt55.659.1
- new SVN snapshot (revision 659)

* Thu Jun 07 2007 Led <led@altlinux.ru> 0.0-alt55.658.1
- new SVN snapshot (revision 658)

* Tue May 29 2007 Led <led@altlinux.ru> 0.0-alt55.656.1
- new SVN snapshot (revision 656)

* Sun May 13 2007 Led <led@altlinux.ru> 0.0-alt55.655.1
- new SVN snapshot (revision 655): new lib's soname

* Mon Apr 23 2007 Led <led@altlinux.ru> 0.0-alt54.654.1
- new SVN snapshot (revision 654)

* Mon Apr 23 2007 Led <led@altlinux.ru> 0.0-alt54.652.1
- new SVN snapshot (revision 652)

* Thu Apr 12 2007 Led <led@altlinux.ru> 0.0-alt54.650.1
- new SVN snapshot (revision 650)

* Fri Apr 06 2007 Led <led@altlinux.ru> 0.0-alt54.645.1
- new SVN snapshot (revision 645)

* Sun Mar 25 2007 Led <led@altlinux.ru> 0.0-alt54.635.1
- new SVN snapshot (revision 635)

* Thu Mar 15 2007 Led <led@altlinux.ru> 0.0-alt54.634.1
- new SVN snapshot (revision 634)

* Thu Mar 15 2007 Led <led@altlinux.ru> 0.0-alt54.633.1
- new SVN snapshot (revision 633):
  + SSE3 optimization
- fixed BuildRequires

* Mon Mar 12 2007 Led <led@altlinux.ru> 0.0-alt54.628.1
- new SVN snapshot (revision 628)

* Thu Feb 22 2007 Led <led@altlinux.ru> 0.0-alt54.623.1
- new SVN snapshot (revision 623)

* Mon Jan 29 2007 Led <led@altlinux.ru> 0.0-alt54.622.1
- new SVN snapshot (revision 622)

* Mon Jan 22 2007 Led <led@altlinux.ru> 0.0-alt54.620.1
- new SVN snapshot (revision 620)

* Tue Jan 16 2007 Led <led@altlinux.ru> 0.0-alt54.618.1
- new SVN snapshot (revision 618)
- fixed %%changelog

* Wed Dec 20 2006 Led <led@altlinux.ru> 0.0-alt54.614.1
- new SVN snapshot (revision 614)
- fixed %%changelog

* Mon Dec 18 2006 Led <led@altlinux.ru> 0.0-alt54.611.1
- new SVN snapshot (revision 611)

* Thu Dec 14 2006 Led <led@altlinux.ru> 0.0-alt54.606.1
- new SVN snapshot (revision 606)

* Tue Nov 28 2006 Led <led@altlinux.ru> 0.0-alt54.604.1
- new SVN snapshot (revision 604)

* Thu Nov 23 2006 Led <led@altlinux.ru> 0.0-alt54.602.1
- new SVN snapshot (revision 602)

* Mon Nov 20 2006 Led <led@altlinux.ru> 0.0-alt54.601.1
- new SVN snapshot (revision 601)

* Wed Nov 08 2006 Led <led@altlinux.ru> 0.0-alt54.600.1
- new SVN snapshot (revision 600)

* Tue Oct 31 2006 Led <led@altlinux.ru> 0.0-alt54.598.1
- new SVN snapshot (revision 598)

* Mon Oct 30 2006 Led <led@altlinux.ru> 0.0-alt54.596.1
- new SVN snapshot (revision 596)

* Tue Oct 17 2006 Led <led@altlinux.ru> 0.0-alt54.593.1
- new SVN snapshot (revision 593): new lib's soname

* Fri Oct 13 2006 Led <led@altlinux.ru> 0.0-alt53.590.2
- enabled gui again

* Thu Oct 12 2006 Led <led@altlinux.ru> 0.0-alt53.590.1
- new SVN snapshot (revision 590)
- disabled gui

* Mon Oct 09 2006 Led <led@altlinux.ru> 0.0-alt53.584.1
- new SVN snapshot (revision 584)

* Thu Oct 05 2006 Led <led@altlinux.ru> 0.0-alt53.578.1
- new SVN snapshot (revision 578): new lib's soname

* Mon Oct 02 2006 Led <led@altlinux.ru> 0.0-alt52.575.1
- new SVN snapshot (revision 575): new lib's soname

* Tue Sep 26 2006 Led <led@altlinux.ru> 0.0-alt50.567.1
- new SVN snapshot (revision 567)
- updated %name-svn-r567-build.patch

* Sun Sep 24 2006 Led <led@altlinux.ru> 0.0-alt50.565.1
- new SVN snapshot (revision 565)
- updated %name-svn-r565-build.patch
- fixed %%changelog

* Wed Sep 06 2006 Led <led@altlinux.ru> 0.0-alt50.558.1
- new SVN snapshot (revision 558): new lib's soname

* Fri Aug 18 2006 Led <led@altlinux.ru> 0.0-alt49.553.1
- new release numbering (therewith SVN revision)
- new SVN snapshot (revision 551): new lib soname
- replaced %name-svn-*-shared.patch to %name-svn-r551-build.patch
- added uk.po
- added %{name}_gtk.desktop
- cleaned up spec

* Mon Jul 24 2006 Led <led@altlinux.ru> 0.0-alt0.20060724.1
- new SVN snapshot (revision 538)

* Thu Jul 20 2006 Led <led@altlinux.ru> 0.0-alt0.20060718.1
- new SVN snapshot (revision 537): changes in API
- cleaned up spec

* Mon Jul 17 2006 Led <led@altlinux.ru> 0.0-alt0.20060717.1
- new SVN snapshot (revision 536)

* Mon Jul 10 2006 Led <led@altlinux.ru> 0.0-alt0.20060710.1
- new SVN snapshot (revision 534)
- updated %name-svn-*-shared.patch

* Tue Jun 13 2006 Led <led@altlinux.ru> 0.0-alt0.20060613.1
- new SVN snapshot (revision 532)
- updated %name-svn-*-shared.patch

* Wed May 31 2006 Led <led@altlinux.ru> 0.0-alt0.20060531.1
- new snapshot (revision 530)

* Thu May 25 2006 Led <led@altlinux.ru> 0.0-alt0.20060525.1
- new snapshot (revision 527)

* Tue May 23 2006 Led <led@altlinux.ru> 0.0-alt0.20060523.1
- new snapshot (revision 525)

* Mon May 15 2006 Led <led@altlinux.ru> 0.0-alt0.20060515.1
- new snapshot (revision 523)

* Wed May 10 2006 Led <led@altlinux.ru> 0.0-alt0.20060510.1
- new snapshot (revision 519)
- cleaned up %name-svn-*-shared.patch
- fixed spec

* Thu May 04 2006 Led <led@altlinux.ru> 0.0-alt0.20060504.1
- new snapshot (revision 517)

* Wed May 03 2006 Led <led@altlinux.ru> 0.0-alt0.20060503.1
- new snapshot (revision 516)

* Wed Apr 26 2006 Led <led@altlinux.ru> 0.0-alt0.20060426.2
- updated %name-svn-*-shared.patch
- fixed spec

* Wed Apr 26 2006 Led <led@altlinux.ru> 0.0-alt0.20060426.1
- new snapshot (revision 512)
- removed unnecessary Provides in lib%name-devel package
- fixed %%changelog

* Thu Apr 25 2006 Led <led@altlinux.ru> 0.0-alt0.20060425.1
- new snapshot (revision 511)

* Thu Apr 20 2006 Led <led@altlinux.ru> 0.0-alt0.20060420.1
- new snapshot (revision 503)
- added xyuv to %name-utils package
- fixed %%changelog

* Mon Apr 17 2006 Led <led@altlinux.ru> 0.0-alt0.20060417.1
- new snapshot (revision 500)
- updated %name-svn-*-shared.patch

* Wed Apr 05 2006 Led <led@altlinux.ru> 0.0-alt0.20060330.2
- changed asm BuildRequires

* Mon Mar 27 2006 Led <led@altlinux.ru> 0.0-alt0.20060330.1
- new snapshot
- fixed spec
- added %name and %name-gtk packages

* Mon Mar 27 2006 Led <led@altlinux.ru> 0.0-alt0.20060220.2
- fixed lib%name-0.0-shared.patch.gz
- fixed spec

* Mon Feb 20 2006 Led <led@altlinux.ru> 0.0-alt0.20060220.1
- new snapshot
- textrel is normal now

* Thu Jan 31 2006 Led <led@altlinux.ru> 0.0-alt0.20060131.1
- new snapshot
- uk and ru Summary and description
- fixed spec
- renamed package x264 to x264-utils
- fixed requires

* Mon Jan 30 2006 Led <led@altlinux.ru> 0.0-alt0.20060129.1
- new snapshot
- fixed asflags
- removed subversion from BuildRequires

* Fri Dec 23 2005 Led <led@altlinux.ru> 0.0-alt0.20051222.2
- fixed spec for x86_64

* Fri Dec 23 2005 Led <led@altlinux.ru> 0.0-alt0.20051222.1
- new snapshot

* Fri Dec 23 2005 Led <led@altlinux.ru> 0.0-alt0.20051128.4
- lib%name-0.0-shared.patch
- added lib%name package

* Tue Dec 06 2005 Led <led@altlinux.ru> 0.0-alt0.20051128.3
- fixed %name-snapshot-20051128-2245-optimization.patch

* Wed Nov 30 2005 Led <led@altlinux.ru> 0.0-alt0.20051128.2
- new %name-snapshot-20051128-2245-optimization.patch

* Wed Nov 30 2005 Led <led@altlinux.ru> 0.0-alt0.20051128.1
- new build
- %name-snapshot-20051128-2245-optimization.patch

* Fri Jul 08 2005 Led <led@linux.kiev.ua> 0.0-alt0.20050624.1
- new build

* Fri Jul 08 2005 Led <led@linux.kiev.ua> 0.0-alt0.20040815.1
- initial build
